.. _news_changelog:

=================================
Změny v jednotlivých sestaveních
=================================

verze 2.8.23
==================

 * Oprava: 9038 - Tiskový výstup do PDF - pomlčka v názvu výstupu způsobí chybné stažení
 * Oprava: 9119 - Chyba komunikace s CAM při přidání popisu k URL odkazu


verze 2.8.22
==================

 * Oprava: 9078 - Oprava migrace zdvojenych whitespace
 * Oprava: 9090 - Zobrazení náhledu mapy v tooltipu při spuštění v nižší úrovni
 * Oprava: 9084 - Archivní entity - Rozšířený filtr - hledání dle datace

ZP, v 247
---------------

 * Nově: 9078 - Prvek Díl, část, pořadí vydání - změna na opakovatelný


verze 2.8.21
==================

 * Nově: 9076 - Import archivního souboru -možnost načtení ukládací jednotka jako Uzavřená / Otevřená
 * Nově: Vstupní URL: přesměrování na entitu po jejím vytvoření přes entity-create bez zadání response url
 * Oprava: 9031 - Validace entity v editoru revizí - systémová chyba
 * Oprava: 8973 - Šablony JP - nelze použít pokud obsahuje display-type>DURATION (Délka filmového záznamu, Délka zvukového záznamu)
 * Oprava: 9017 - Nefunkční filtrování přes prvky se specifikacemi Jiná označení, Role entit (TEXT) atd.

ZP, v 246
---------------

 * Nově: 9078 - Prvek Díl, část, pořadí vydání - změna na opakovatelný STRING
 * Nově: 9069 - PP Jiné datace: doplnění specifikací z eSSL (odeslání, doručení, vyřízení, uzavření)
 * Nově: PP Uložení v DA - přejmenování na Uložení v DA (TEXT)
 * Nově: 8960 - Podtyp: korespondence - prvek Jiné datace (umožnění datace odeslání, datace doručení)
 * Nově: 8985 - Nový prvek popisu: Role entit (TEXT) - doplnění pravidel a specifikací



verze 2.8.20
==================

 * Nově: 8978 - Kopie oprávnění osoby - kopírování skupin
 * Nově: 8436 - Export archivního souboru bez UUID jednotek popisu a přístupových bodů (entit)
 * Oprava: 8955 - Tabulkové zobrazení - nekorektní chování u prvků se specifikacemi a hodnotou (PP Jiná označení, Jiné datace, Množství, Jiné rozměry, Úroveň vyznamenání)
 * Oprava: 9009 - Nelze založit entitu pomocí entity-create
 * Oprava: 8961 - Archivní entity - editor revizí - zdvojení specifikace v serializované hodnotě události

ZP, v 245
---------------
 * Nově: 8851 - Podtyp: technická dokumentace (doporučené role entit vždy - nejen v INV a KAT)
 * Nově: 8985 - Nový prvek popisu: Role entit (TEXT)
 * Nově: 8960 - Podtyp: korespondence
 * Nově: 8993 - EAD3 - typ archiválie na složce, jednotlivosti a části jednotlivosti
 * Oprava: 8883 - Uložení - Lokace archiválií (prvky jsou doporučené)


CZ_BASE, v 64
---------------
 * Nově: (přenos z CAM, úkol 371) - Umožnění kódu ISO-3166-2 i pro obce
 * Nově: 7663, #8982 - Generátor chronologického doplňku a jeho kontrola
 * Nově: 9018 - Generátor doplňku - obecný doplněk: odlišnost u typu geoobjektu „autonomní část státu“ a „jiná část státu“
 * Nově: 9019 - Nerozlišování velkých a malých znaků při zjišťování jedinečnosti jména v rámci jedné entity - viz také CAM: R_UNQ_002


verze 2.8.19
==================
 * Nově: Administrace: Funkce pro kopii oprávnění mezi uživateli
 * Nově: Arch. entity - Přejmenování uživatel => autor poslední změny
 * Nově: Arch. entity - Pro změnu na stav ke schválení musí být entita bez chyb
 * Oprava: 8963 - Nelze přidat JP z jiného AS
 * Oprava: 8956 - Pomalá deduplikace entit - první část
 * Oprava: 8975 - Nepropojení entit z CAM při postupném stahování
 * Oprava: Zadávání osobních klíčů pro komunikaci s CAM
 * Oprava: 8967 - Zápis entity do externího systému - chyba: Nelze smazat part, který má aktivní návazné party

ZP, v 244
---------------
 * Nově: 8941 - Prvek Formální název jednotky popisu - změna na doporučený (alternativa k PP Autorské dílo)
 * Nově: 8960 - Podtyp: korespondence


verze 2.8.18
==================
 * Oprava: 8944 - Zápis entity do externího systému - kontrola platnosti entity uživatele
 * Oprava: 8946 - Nelze editovat sloučené entity
 * Oprava: Zápis entity do externího systému - neaktualizuje se informace o posledním autorovi změny

ZP, v 243
---------------
 * Oprava: Přejmenování scénárista -> scenárista
 * Oprava: Podtyp tech. dokumentace


verze 2.8.17
==================
 * Oprava: 8909 - Chyba při synchronizaci s CAM

ZP, v 242
---------------
 * Oprava: 8904 - EAD - délka filmového a zvukového záznamu
 * Oprava: 8910 - Vícejazyčný popis v EAD3


verze 2.8.16
==================
 * Nově: Možnost využívání osobních klíčů pro CAM (CAMEditor)
 * Nově: 8877 - Cache pro oprávnění uživatele (JWT token/CAMEditor)
 * Nově: Úprava způsobu zobrazení souřadnic - souhrnné údaje
 * Oprava: přidání oprávnění - zaslání změny přes WebSocket jen pokud k ní došlo
 * Oprava: obnova propojení dvou již stažených entit z CAM

ZP, v 241
---------------
* Nově: 8851 - Podtyp: technická dokumentace (doporučené prvky vždy - nejen v INV a KAT)
* Nově: 8883 - Uložení - Lokace archiválií (rozšíření a prvky popisu)
* Nově: 8898 - Nový prvek popisu: Měřítko - strukturovaně
* Oprava: 8897 - Počet archiválií u podřízených jednotek popisu pro kartotéky


verze 2.8.14
==================
 * Nově: #8868 - Entity s křížovými odkazy nelze v některých případech odeslat do CAM, pokud ani jedna z nich ještě není v CAM
 * Nově: Odesílání entit do CAM s osobním klíčem
 * Nově: #8843 - Editor souřadnic - úprava velikost okna
 * Nově: Možnost kontroly obsahu řetězců z pravidel
 * Oprava: #8861 - Výstupy - použití filtru Omezení přístupnosti - rozsah: skrytá nebo nepřístupná JP
 * Oprava: #8845 - Uplatněné omezení přístupnosti - popis Nepřístupný prvek obsah
 * Oprava: #8811 - Netiskne se celý text v poli Zdroje informací
 * Oprava: #8856 - Chyba při odeslání do CAM
 * Oprava: #8847 - Nelze vygenerovat výstup v případě cyklických vazeb
 
ZP, v 239
---------------
 * Nově: Export EAD dle revize ``240301``, tj. platné od březen 2024, viz #8798 - EAD3 -rozměry, hmotnost množství
 * Nově: #8867 - Datace textově bude možné uvést pouze po editaci Datace vzniku
 * Nově: #8851 - ZP - Podtyp: technická dokumentace (oprava MS)


verze 2.8.13
==================
 * Nově: Editace přímá editace mapových souřadnic
 * Nově: Možnost změny názvu aplikace
 * Oprava: 8840 - Chyba odeslání změny v entitě do CAMu


verze 2.8.12
==================
 * Nově: Možnosti výpočtu lhůt omezení přístupnosti

ZP, v 238
---------------
 * Nově: Výpočet lhůty pro omezení přístupnosti (pro export i výstup do PDF)
 * Nově: Zahrnutí vypočtených omezení přístupnosti do výstupu EAD
 * Oprava: Funkce filtru "Omezení přístupnosti"


verze 2.8.11
=============
 * Oprava: 8814 - Archivní entity - chybějící tlačítko Místa použití při integraci CAM_COMPLETE

ZP, v 237
---------------
 * Nově: Uvádění textové podoby omezení přístupnosti - včetně poznámky a datace při exportu AS


verze 2.8.10
=============
 * Oprava: 8810 - Nefunkční export do EAD


verze 2.8.9
=============
 * Nově: 8436 - Export archivního souboru bez UUID jednotek popisu a přístupových bodů (entit)
 * Nově: 8791 - Import dat ve formátu ZIP
 * Oprava: 8799 - Chyba mapování externích systémů
 * Oprava: 8800 - Entity - jen 128 verzí hesla
 * Oprava: 8804 - Nelze upravit pole v tabulkovém zobrazení není možné
 * Oprava: 8806 - Strukturované typy - dlouhé hodnoty textu
 * Oprava: 8763 - oprava nacitani typu externiho systemu

ZP, v 236
---------------
 * Oprava: 8797 - Entita se nezobrazuje v rejstříku v tištěné pomůcce
 * Oprava: 8801 - Znaky francouzského è a æ v kartách - netisknou se


verze 2.8.8
=============
 * Nově: Integrační rozhraní pro náhled a editaci souřadnic
 * Nově: Změna funkce Zmrazení referenční označení
 * Nově: 8763 - Skrytí tlačítka pro odstranění entity v případě CAM_COMPLETE
 * Oprava: 8784 - Tabulkové zobrazení - ignoruje odebrání všech filtrů
 * Oprava: 8320 - Tabulkové zobrazení - výchozí prvky popisu a jejich pořadí
 * Oprava: 8771 - Agregování datace vzniku EJ a celého AS neprobíhá v některých případech korektně
 * Oprava: 8644 - Zápis entity do externího systému - selhání
 * Oprava: 8770 - PP Role entit - při použití příznaku „výjimka“ nelze přidat další specifikaci prvku
 * Oprava: 8761 - Problém s mazáním části fondu

ZP, v 235
---------------
 * Nově: 8767 - Rozšíření pro Dílčí listy NAD
 * Nově: 8768 - PP Šířka/průměr - přejmenování na PP Šířka

CZ_BASE, v 63
---------------
 * Nově: 8764 - Sjednocení pravidel pro CAM: R_BDG_005 ulice, nábřeží, náměstí - oprava
 * Nově: 8764 - Sjednocení pravidel pro CAM: pro typ formy jména lze zvolit "dle jiných pravidel"
 * Nově: 8764 - Sjednocení pravidel pro CAM: v souřadnicích typu BOD lze zadat nově jen bod
 * Nově: 8764 - Sjednocení pravidel pro CAM: Použití kódu ISO 3166-2 u GT_MUNIPDISTR (obec se sirsi pusobnosti)


verze 2.8.7
=============
 * Nově: 8745 - Tabulkové zobrazení - prvky pro odkazy - hromadné úpravy neumožňují editovat část Popisek
 * Nově: 8660 - Potlačení vybraných tlačítek v menu na základě předvoleb
 * Nově: 8747 - Editor revizí - nabídka změny do stavu Revize ke schválení pouze u entit bez chyb validace
 * Oprava: tooltip pro prvku popisu bez hodnoty (výjimka)
 * Oprava: 7876 - Integrace s PEvA - omezení funkcionality Upravit vlastnosti AS pouze na Superuživatele

ZP, v 234
---------------
 * Nově: 8724 - EAD3 - strukturovaná technika záznamu
 * Nově: 8754 - Zvýraznění hypertextových odkazů ve výstupu PDF
 * Nově: 8758 - PP Informace o zpracování - nastavení jako doporučeného při prvotním nastavení způsobu pořádání
 * Oprava: 8757 - PP Charakter poškození - formátování tiskového výstupu v úvodu
 * Oprava: 8760 - PP Jazyk v modulu Výstupy - nelze přidávat další jazyky
 * Oprava: 8656 - Princip dědičnosti v Elza - nový PP Jazyk archivního souboru - úprava tisku


verze 2.8.6
=============
 * Oprava: 8741 - Režim prohlížení souboru - zobrazení entity v JP nefunkční
 * Oprava: 8735 - TopologyException: side location conflict
 * Oprava: 8734 - Nefunkční synchronizace s CAM
 * Oprava: 6894 - Špatné chování dialogu při importu jednotek popisu ze souboru
 * Oprava: 8722 - Volání swagger-ui kontroluje CORS

ZP, v 233
---------------
 * Nově: 8656 - Princip dědičnosti v Elza - nový PP Jazyk archivního souboru - tisk


verze 2.8.5
=============
 * Nově: 8626 - Archivní entity - odstranění duplicit - sloučení do schválené entity a vytvoření revize
 * Nově: 8668 - Možnost odeslání revize do CAM po jejím schválení
 * Nově: zvýšení prodlevy zobrazení tooltipu u datace
 * Nově: 8674 - Souběžná změna prvku popisu
 * Oprava: 8729 - Připojení entity do PP Role entit, Zpracovatel, Původce - nelze přes ikonu a výběr v okně
 * Oprava: 8734 - Nefunkční synchronizace s CAM
 * Oprava: 8694 - Souřadnice - nepřevedení záporných hodnot (západní délky a jižní šířky)
 * Oprava: 8699 - Administrace - chyba zobrazení v uživatelském rozhraní
 * Oprava: 7876 - Integrace s PEvA - omezení funkcionality Upravit vlastnosti AS pouze na Superuživatele

ZP, v 232
---------------
 * Nově: 8656 - PP Jazyk archivního souboru - pravidla použití
 * Nově: 8595 - EAD - úprava dle exportu dle spec 06/2023 - doplnění jazyku archivního souboru

CZ_BASE, v 62
---------------
 * Nově: 8656 - PP Jazyk archivního souboru


verze 2.8.4
=============
 * Nově: 8626 - Archivní entity - odstranění duplicit - sloučení do schválené entity a vytvoření revize
 * Nově: 8648 - Souběžná změna revize - dokončení
 * Nově: 8720 - Archivní entity - při změně podřízené části popisu aktualizace nadřízené části
 * Nově: 8659 - Automatický výběr oblasti při importu pokud je jen jedna
 * Nově: 7781 - Našeptávače s nabídkou entit - doplnění informací o napojované entitě o PP Stručná charakteristika
 * Nově: 8680 - Arch. entity - Zachování pohledu revize při přechodu na URL/refresh
 * Nově: 8678 - Podrobnější hlášení chyby při exportu
 * Nově: 8647 - Zápis entity do externího systému - doplnění chybové hlášky o podrobný popis chyby v případě selhání
 * Oprava: 8717 - Tabulkové zobrazení: nefunkční filter pro číselné hodnoty je přesně
 * Oprava: 8664 - Tiskový výstup - pořadí původců přetáhnutím myší se neudrží
 * Oprava: 8688 - Selhání Undo
 * Oprava: 8657 - Administrace - nefunkční funkce Upravit skupinu

ZP, v 231
---------------
 * Nově: 8409 - PP Jiné rozměry - tisk, průměr a další
 * Oprava: 8422 - Neevidovaná jednotlivost jako samoobal
 * Oprava: 8683 - Selhání exportu EAD při existenci více pomůcek k NAD
 * Oprava: 8686 - Tiskové výstupy PDF - PP Odkazy (URL) a PP Odkaz na digitalizát


verze 2.8.3
=============
 * Nově: 8647 - Zápis entity do externího systému - doplnění chybové hlášky o podrobný popis chyby v případě selhání
 * Nově: 8658 - Možnost přechodu do části entit zapsáním: https://URL Elza/entity/
 * Nově: 8659 - Import entit ze souboru - omezení oblastí
 * Oprava: 8681 - Nelze upravit vztah u revize entity
 * Oprava: 8678 - Podrobnější hlášení chyby při exportu - backend
 * Oprava: 8643 - Fronta synchronizace - nefunkční podmínka volby oblastí
 * Oprava: 8631 - Změna preferovaného označení a jeho zaslání do CAMu
 * Oprava: 8665 - Zobrazení dlouhých textů v modulu pořádání
 * Oprava: 8632 - Přidání repozitáře k Dao při vyžádání
 * Oprava: 8397 - Odstranění části popisu archivní entity

ZP, v 230
---------------
* Nově: 8595 - EAD - úprava dle spec 06/2023 (základ dědičnosti)
* Nově: 8409 - PP Jiné rozměry - obrazové pole, metráž, průměr + celková úprava pravidel
* Oprava: 8595 - EAD - úprava dle spec 06/2023 (uvádění datace)
* Oprava: 8676 - EAD - chybí deklarace verze


verze 2.8.2
================
 * Nově: 8617 - Editor revizí - akce Potvrzení revize - zadání komentáře
 * Nově: 8592 - Administrace - proklik na uživatele z aktivních relací
 * Oprava: 8649 - Archivní soubory - export do XML - chybí PP Uplatněné omezení přístupnosti
 * Oprava: 8652 - Kopirovani odkazu na DAO
 * Oprava: 8638 - Administrace/Archivní soubory - mizí zaškrtávátka
 * Oprava: 8588 - Tabulkové zobrazení - nelze vybrat entitu pro Roli entit přes obrazovku hledání a úpravy entit
 * Oprava: 8599 - Revize entit: V historii entity se zobrazují i smazané revize
 * Oprava: 8605 - Fronta synchronizace s externím systémem - chybí v UI

ZP, v 229
---------------
 * Nově: 8661 - Tisk: Uvádění uplatnění omezení přístupnosti v PDF


verze 2.8.1
================
 * Nově: 8627 - Odkaz na archivní entitu v modulu Archivní soubory - otevření v novém okně/kartě prohlížeče
 * Nově: 8600 - Asynchronní generování exportu a jeho stažení + nové API
 * Nově: 8608 - Úprava administrace - přidání ID osob do URL
 * Nově: úprava zobrazení balíčků digitalizátů ze souborového systému
 * Nově: 7876 - Integrace s PEvA - omezení funkcionality Upravit vlastnosti AS pouze na Superuživatele - první část
 * Nově: 7741, 8609 - Tabulkové zobrazení - přidání hodnoty prvku popisu
 * Nově: 5720 - Vyhledávání dle interního kódu nefunguje všude - server
 * Oprava: 8480 - Hlášení o dokončení generování výstupu
 * Oprava: 7926 - Odstranění archivního soubory - šablony propojení
 * Oprava: 8605 - Fronta synchronizace s externím systémem - chybí v UI
 * Oprava: 8579 - Kontrola oprávnění na přerušení akce
 * Oprava: 8616 - Heslo pro přihlášení do Elza - nepodporované speciální znaky % & +
 * Oprava: 8606 - CAM: Zastavení synchronizace v případě odstranění entity, která je užita - vyrazeni ze synchronizace
 * Oprava: 8597 - Tabulkové zobrazení - hromadná úprava prvku popisu - u konkrétních JP nelze přidat UJ
 * Oprava: 8435 - Pevné spojení - oprava šablony

ZP, v 228
---------------
 * Nově: 8595 - EAD - úprava dle exportu dle spec 06/2023 - bez dědičnosti


verze 2.8.0
================
 * Nově: přístup a napojování souborů z diskových úložišť
 * Nově: 8585 - zobrazení základních statistik na úvodní stránce a v administraci
 * Nově: 6671 - Převzetí z Externího systému - nabídka oblastí
 * Nově: 8075 - Odstranění povinného prvku - varování
 * Nově: 8573 - víceřádkové komentáře ke stavu entity
 * Nově: 8570, 8558 - přidání komentářů k revizi entity
 * Nově: 8435 - Pevné spojení - přísnější kontrola syntaxe
 * Nově: Archivní entity - zkrácení názvů funkcionalit v horním panelu
 * Nově: Agregace datace ve výstupu - časové rozmezí AP - pomlčka namísto spojovníku
 * Oprava: 8583, 8559 - Úklid čekajících akcí / zaseknuté funkce
 * Oprava: 8469 - Kopie archivní entity - uzamčení UI po spuštění akce
 * Oprava: 8578 - Zneplatnění entity ve stavu Schválená (akce Smazat) - oprávnění
 * Oprava: 8560 - Nadbytečná hlášení v logu: WebSocket session does not exist
 * Oprava: 8535 - CAMEditor - omezeni v UI
 * Oprava: 8554 - Obnovení původně schválené entity - obnovení ve stavu Nová a nutné oprávnění


ZP, v 227
---------------
 * Nově: 8577 - Entity z třídy rod/rodina jako součást osobního rejstříku
 * Nově: 8586 - Role entit a umožnění přístupových bodů třídy rod/rodina


verze 2.7.9
================
 * Nově: 8496 - Podpora opakovatelných PP v rámci šablon
 * Nově: 8541 - Revalidace jednotky popisu při změně entity v CAM
 * Oprava: 8543 - Kopie entity - oprávnění
 * Oprava: 7219 - Kopírování PP Zvláštní omezení přístupnosti
 * Oprava: 8533 - Zápis změn do externího systému - v záhlaví zůstává příznak Existuje lokální změna (žlutý čtvereček)
 * Oprava: Export archivních entit přes WSDL ve formátu CAM
 * Oprava: 8527 - Editor revizí - chybná validace záznamu entity při změně podtřídy
 * Oprava: 8523 - Chyba změny názvu fondu
 * Oprava: 8515 - AS nelze smazat

ZP, v 226
---------------
 * Nově: 8479 - Přejmenování Základních pravidel na aktuální verzi 3.1 (2022)
 * Oprava: 8439 - Košilka - zobrazená hodnota NAD a značky zasahuje do rubrikace
 
 
verze 2.7.8
================
 * Nově: 8453 - Import archivních entit z XML, pokud jiz existuji
 * Nově: Neindexování odstraněných prvků popisu
 * Oprava: 8516 - Chyba v zobrazení počtu výsledků při zadání filtru instituce v pořádání
 * Oprava: 8503 - Chyba pri synchronizaci entit
 * Oprava: 8512 - Výjimka při exportu odstraněné entity
 * Oprava: 8501 - Selhání synchronizace entity - nekonečná smyčka
 * Oprava: 8483 - Zakázaný vztah manželství u entity v revizi
 * Oprava: 8482 - Duplikace exportu částí entit
 * Oprava: Vyhledávání dle UUID
 * Oprava: 8491 - Opakované vyžádání neexistující entity (CAM TEST)
 * Oprava: 8519 - Vztahy v exportu přes WSDL ve formátu CAM
 * Oprava: Cyklus při přegenerování pref. ozn. u smazané entity

ZP, v 225
---------------
 * Oprava: 8522 - ZP2015_APPLIED_RESTRICTION_DAO_INPERS_ONLY - chyba v kódu PP


verze 2.7.5
================
 * Nově: 8288 - U pevného spojení je možné vyhledání uzlu pomocí UUID nebo ID uzlu
 * Nově: Zobrazení ID přístupového bodu i při užším zobrazení
 * Nově: Správnost záznamu v editoru revizí se zohledněním hodnot indexů a prevence duplicitních vztahů
 * Oprava: 8467 - Tabulkové zobrazení - přeskočení na označený záznam při přímém výběru (zaškrtnutí) jiného záznamu
 * Oprava: 8485 - Chyba při zobrazení uživatele
 * Oprava: Slučování revizí přístupových bodů
 * Oprava: Spouštění vyhodnocení stavu uzlů po restartu
 * Oprava: Vyhodnocení navázaných přístupových bodů
 * Oprava: Vyhodnocení vztahů v editoru revizí
 * Oprava: Měření rychlosti provádění revalidace


verze 2.7.3
================
 * Nově: Základní souhrnné informace (API)
 * Nově: Zvětšení časové prodlevy (timeout) pro kontrolu aktivity spojení
 * Oprava: 8468 - Synchronizace s externími systémy - systémová chyba během odesílání entity při zobrazení stavu
 * Oprava: Převzetí zneplatněné a nahrazené entity z externího systému
 * Oprava: Pád při importu z CAM pokud není lokálně entita dostupná


verze 2.7.2
================

 * Nově: 8020 - Tabulkové zobrazení - hromadné úpravy - akce Nahradit - přepracování uživatelského rozhraní
 * Nově: Při odhlášení uživatele je zachována jeho aktuální stránka (nedojde k přesměrování na začátek)
 * Nově: 8450 - Export dat z tabulkového zobrazení včetně UUID
 * Oprava: 8394 Revize entit - vyhodnocování souladu s pravidly


ZP, v 224
---------------
 * Nově: PP Jiné rozměry - první část
 * Oprava: 4181 - Prvky vhodné pro zápis nezjištěno (výjimka) - oprava
 * Oprava: PP Zneplatněný záznam - neopakovatelnost


verze 2.7.1
================

 * Nově: Podpora autentizace pomoci OAuth2 - JWT
 * Nově: 8206 - Kopie archivní entity
 * Nově: 8444 - Zobrazení nahrazujících entit - pokud není k dispozici popis
 * Oprava: 7752 - Hromadná funkce Vymazání ukládacích jednotek - optimalizace
 * Oprava: 8437 Synchronizace s CAM - hlášení v logu, optimalizace

ZP, v 223
---------------
 * Nově: 4181 - Prvky vhodné pro zápis nezjištěno (výjimka)
 * Nově: 8012 - Výjimka u PP Souřadnice


verze 2.7.0
================
 * Nově: 8370 - Zápis entity do externího systému - upozornění na nesynchronizované související entity
 * Nově: 7612 - Souřadnice - import/export (GML, KML)
 * Nově: 8205 - Kopie archivní entity - server
 * Nově: 7749 - Reindexace a revalidace jednotek popisu po změně napojených archivních entit
 * Nově: 8414 - Tabulkové zobrazení - u PP Šířka, výška, hloubka chybí možnosti Nastavit celý obsah prvku a Najít a nahradit část obsahu
 * Nově: 8367 - Tabulkové zobrazení - hromadné úpravy - víceřádková editace u textových prvků popisu
 * Nově: 8413 - Archivní entity - potvrzení akce Aktualizace údajů z externího systému
 * Nově: 8329 - Informace o průběhu nahrávání do CAM (včetně hlášení chyb) / Blokující odesílání do CAMu
 * Nově: Řazení entit od nejnovější změny po nejstarší
 * Optimalizace: Refaktorizace způsobu vyhledávání archivních entit
 * Optimalizace: 7752 - Hromadná funkce Vymazání ukládacích jednotek
 * Oprava: 8417 - Archivní entity - chybný stav synchronizace u serializované hodnoty nad změněným partem
 * Oprava: 8348 Selhání deduplikace v modulu archivní entity
 * Oprava: Přepracování způsobu stahovaní entit z externiho systemu (sjednocení zpracování změn a nových entit)
 * Oprava: 8402 - Matoucí zobrazení stromu
 * Oprava: 8377 - Editor revizí - nelze ručně změnit prvek popisu po akci Vrátit zpět nebo generování doplňku
 * Oprava: 8395 - Perzistentní řazení - nefunkční
 * Oprava: Import entit v důsledku uvádění poslední změny
 * Oprava: Archivní entity - Možnost odstranění revidované hodnoty prvku popisu


ZP, v 222
---------------
 * Nově: 8312 - Podpora pro více-jazyčný / alternativní popis
 * Nově: 5273 - Tiskový výstup na košilky (štítky)
 * Nově: 8412 - Referenční označení - volitelné u manipulačního seznamu
 * Nově: 8407, 8408 - Tisk strukturovaných rozměru, techniky záznamu
 * Nově: 6229 - Tisková sestava - zobrazení evidenčních jednotek
 * Nově: Revalidace podřízených JP po editaci PP Zneplatněný záznam
 * Nově: List musí mít strojovou dataci směrem ke kořeni (výjimka pro Zneplatněný záznam)
 * Nově: PP_005 Zneplatněný záznam možný také pro části jednotlivosti
 * Nově: Štítky - karta - možnost popisu entit v textové podobě
 * Nově: 8321 - Zadání velkého rozsahu datace přesně II (modul Archivní entity)
 * Nově: 8360 - Tmavý motiv v tabulkovém zobrazení,špatné podbarvení po zatržení
 * Oprava: 8137 - Počet EJ v tiráži: datace
 * Oprava: HP_014 Část jednotlivosti může být pod jednotlivostí nebo částí jednotlivosti
 * Oprava: PP_009 Změna povinnosti prvků v důsledku existence zneplatněného záznamu
 * Oprava: TA_001 U složky s typem EJ se uvádí druh a počet EJ (doporučeně u Zneplatněného záznamu)
 * Oprava: TA_003 Pokud je na logické složce uveden typ archiválie je nutné uvést počet archiválií (oprava pro typ složky Logická, výjimka pro Zneplatněný záznam)
 * Oprava: Jazyk archivního popisu - oblíbené
 * Oprava: 8308 - Výstupy - přidání prvku Příloha se současným přepnutím do režimu uživatelských úprav (kalkulačka)


CZ_BASE, v 60
---------------
 * Nově: Prvek popisu - Jazyk archivního popisu


verze 2.6.1
================
 * Oprava: 8334 - Načítání dat při prvním otevření AS po odhlášení uživatele
 * Oprava: 8296 - Chyba při prvotním načítání dat z CAMu
 * Oprava: Chyba při načítání ukládací jednotky bez prvků popisu

ZP, v 220
---------------
 * Nově: Nastavení zobrazení stromu - separátor (středník a mezera)
 * Oprava: Složka manipulačního seznamu (PP Další EJ ve složce není povolen, pokud je rodičem složka množstevní, s typem EJ nebo digitální)


verze 2.6.0
================
 * Oprava: 8323 - Ukládací jednotky - nelze je mazat

ZP, v 219
---------------
 * Nově: 8327 - Výstup do EADu pro starší pomůcky


verze 2.5.9
================
 * Nově: Import dat k jednotce popisu
 * Nově: 8313 - Výstupy - agregace úvodu - nepočítání JP pokud je zneplatněný záznam
 * Nově: Refaktorizace hromadné validace jednotek popisu - zmenšení zátěže
 * Oprava: 8311, 8295, 8301 a 8300 - vyhledávání JP
 * Oprava: 8306 - Vymazání historie změn nefunkční
 * Oprava: 8323 - Ukládací jednotky - nelze je mazat
 * Oprava: 8318 - Chyba generátoru v chronologickém doplňku (modul entity) 
 * Oprava: 8294 - Nelze exportovat soubor z databáze (entity has been deleted)

ZP, v 218
---------------
* Nově: 8304 - Pravidlo RE_007 Neevidovaná jednotlivost a Část jednotlivosti - výjimka pro Podtyp hudebnina
* Nově: Nastavení zobrazení stromu - značka spisu, původní signatura, signatura, číslo jednací (max-count 2)
* Nově: Pořadí uložení (pořadí prvku hned za PP Ukládací jednotka)
* Nově: 8316 - Tiskové výstupy - PP Odkazy (URL) - odstranění textu URL z PDF
* Nově: Tabulkové zobrazení - výchozí prvky popisu
* Oprava: Omezení zobrazení specifikací PP Jiná označení ve stromu a akordeonu
* Oprava: 8297 - Export EAD - jméno instituce


verze 2.5.8
================
 * Nově: Přepracování načítání dat při použití sémantických URL
 * Nově: 8210 - Pojmenování instance Elza a podpora pro integrační skript
 * Nově: Nastavitelná adresa mapového serveru v tisku, aktualizace výchozího URL na mapový server
 * Nově: 7752 - Hromadná funkce Vymazání ukládacích jednotek
 * Oprava: 8278 - Selhání napojení na CAM z důvodu dlouhého řetězce
 * Oprava: 8275 - Tabulkové zobrazení - zamrznutí při pohybu pomocí šipek
 * Oprava: 8281 - Kontrola indexu v tabulce ap_cached_access_point


ZP, v 217
---------------
* Nově: Odkaz a zobrazení souřadnic v PDF
* Oprava: 8292 - Chybný tisk PP Odkazy(URL) do pdf


CZ_BASE, v 59
---------------
* Oprava: 8289 - archivní entity - vložení shodné události 


verze 2.5.7
================
 * Nově: 7834 – Archivní entity - odstranění nepoužitých stavů Příprava revize, Revize k doplnění, Revize ke schválení
 * Nově: 8227 - Archivní entity - rozšířený filtr - omezení nabídky v části Rozšířený filtr
 * Nově: 8202 - Aktualizace prvků popisu zneplatněné entity přes WSDL
 * Oprava: 8243 - Kontrola archivního popisu - špatné chybové hlášení u PP Role entit
 * Oprava: Export přístupových bodů přes WSDL na základě UUID
 * Oprava: 8239 - Archivní entity - vyhledávání - v okně pro vyhledávání pomocí textového řetězce mizí ovládací nástroje (ikonky) v pravé části

ZP, v 216
---------------
 * Nově: 8228 - Filtr Omezení přístupnosti - filtrování služební poznámky
 * Oprava: 8224 – Posun textu při tisku štítků


verze 2.5.6
================
 * Nově: přepracování dialogu pro výhledávání souvisejících entit
 * Nově: zobrazení rozdílu u změněných textů v revizi archivní entity
 * Nově: 7817 - Archivní entity - rozšířený filtr - omezení nabídky v části Vztahy
 * Nově: 8220 – Tiskové výstupy - tabulka vypočtených EJ - pořadí evidenčních jednotek dle ZP
 * Nově: 8113 - Zpřístupnění výstupů, funkcí a digitálních objektů v režimu čtení
 * Nově: 7432 - Archivní entity - tlačítko pro spuštění validace entit, přidání zobrazení stavu validace do záhlaví entity
 * Nově: 8070 - Ukládací jednotky - změna stavu na Uzavřený pouze u UJ bez chyb
 * Oprava: 8146 - nadbytečná validace při aktualizaci entity
 * Oprava: 8223 - Tisk datace 
 * Oprava: 7373 - Výstupy - agregace PP Přílohy a Charakter poškození - doplnění přepínání editace (kalkulačka)
 * Oprava: 7411 - Nastavení zobrazení pravidel kontroly JP - nelze měnit
 * Oprava: 8214 - Funkce Vyhledat v archivních souborech - proklikem se nedostaneme přímo na hledanou JP
 * Oprava: 8215 - Archivní entity - funkce Místa použití nefunguje správně
 * Oprava: 8211 - Výstupy - chyba po stažení PDF a přetažení souboru přes minimalizované okno s ELZA
 * Oprava: 8195 - Editor revizí - systémová chyba při změně části záznamu entity
 * Oprava: 7889 - Tabulkové zobrazení - odpojení ukládacích jednotek není funkční u většího počtu UJ
 * Oprava: 8069 - Výstupy - chyba při generování referenčního označení blokuje generování výstupu 


ZP, v 215
---------------

 * Nově: Přidání číslování a dokumentace k pravidlů RE016-RE031 (role entit)
 * Nově: Tisk: Úprava názvu kapitoly IV. a podkapitol
 * Oprava: rychlost indexace archivních entit
 * Oprava: Tisk - Oprava uvedení charakteru poškození.


CZ_BASE, v 58
---------------
 * Nově: #7817 - Výčet prvků popisu pro CAM - omezení nabídek ve vyhledávání



verze 2.5.5
================
 * Nově: 7781 - našeptávače s nabídkou entit - doplnění informací o napojované entitě
 * Nově: 7849 - Editor revizí - vizualizace výsledků kontroly a validace entit
 * Oprava: 7889 - Tabulkové zobrazení - odpojení ukládacích jednotek není funkční u většího počtu UJ


ZP, v 214
---------------
 * Nově: 7830 - Tiskový výstup - zobrazení PP souřadnice
 * Nově: 7836 - Tiskový výstup: skrýt externí identifikátor pokud je UUID
 * Nově: 7582 - Tiskové výstupy - PP stručná charakteristika a tisk v rejstřících k AP
 * Nově: 8131 - Tiskové výstupy - nadbytečný rozsah datace EJ v tiráži AP v případě uvedení jednoho časového údaje
 * Nově: 6762 - Tisk původců do úvodu - poznámky
 * Nově: Tisk odkazů v pomůcce
 * Oprava: 7791 - Tiskový výstup - PP Písmo aj. se nezobrazují v tiskovém výstupu, pokud jsou napojeny na kořen AS


CZ_BASE, v 57
---------------
 * Oprava: 8187 - Při odeslání entity do CAM se neodesílá událost zániku (zánik zrušením/změnou)


verze 2.5.4
================
 * Nově: Umožnění tmavého motivu
 * Nově: Filter archivních entit v tisku (nutné pro úkol 6662) 
 * Nově: Úprava stylů upozornění, barev
 * Nově: Tooltip Datace (upřesnění)
 * Nově: Upravení zobrazených hodnot na úvodní obrazovce
 * Oprava: 8113 - Modul tiskové výstupy v režimu čtení
 * Oprava: 8142 - Tabulkové zobrazení - akce Upravit (pravé tlačítko) končí bílou obrazovkou
 * Oprava: 8147 - Tabulkové zobrazení - pády do bílé obrazovky
 * Oprava: 8160 - Archivní entity - rozšířený filtr - nefunkční zúžení okruhu vyhledávaných souvisejících entit
 * Oprava: 8153 - Zneplatněné entity: číslo místo názvu entity
 * Oprava: 8107 - Zobrazení prvku popisu bez skupiny
 * Oprava: 8158 - Lektorování - nedochází ke změně
 * Oprava: zobrazení časového rozsahu pomůcky ve výstupech
 * Oprava: 6449 - Omezení přístupnosti ve výstupech se neuplatňuje pro podřízené JP


ZP, v 213
---------------

 * Nově: Tisk - uprava tisku prvku popisu na koreni
 * Nově: EAD - export XML hlavičky
 * Nově: 6662 - Rejstřík tisku - nadbytečný údaj o zpracovateli archivní pomůcky
 * Nově: 8004 - Přidání čísla archivní pomůcky do výstupu
 * Nově: 7695 - Tiskový výstup - úprava agregace - neopakování hodnot v místě napojení AP k AS
 * Nově: 7694 - Agregace fyzického stavu do úvodu pomůcky
 * Nově: 7693 - Nový prvek popisu Charakter poškození (ZP 4.4.4 Fyzický stav)
 * Nově: 7997 - Nový prvek popisu Odkaz na digitalizát (ZP 4.5.3 Existence kopií jednotky popisu)
 * Nově: 7723 - Tiskový výstup - agregace PP Jazyk do úvodu AP (4. kapitola)
 * Nově: 7807 - Tiskový výstup - přesun PP Počet EJ zpřístupněných AP z kořene AS do úvodu AP (4. kapitola)
 * Nově: 6415 - Nový prvek popisu Odkazy - s linkem (ZP 4.5.2 Odkazy na příbuzné dokumenty, archiválie a pomůcky pro vyhledávání)
 * Nově: tisk EJ v tabulce - název místo zkratky
 * Nově: přejmenování záložky Druh omezení přístupnosti => Omezení
 * Nově: 8057 - PP Rozsah archiválií - použití pro výpočet metráže UJ (doplnění funkce Agregace úvodu)
 * Oprava: vyjmutí zneplatněných záznamů z výpočtu metráže a datace pro AP



verze 2.5.3
================ 
 * Nově: 8117 - Zadání velkého rozsahu datace přesně
 * Nově: 6449 - Filter: "zneplatněný záznam" pro export a tisk, nepočítání do EJ
 * Nově: Úprava vizuálního vzhledu některých stylů, příprava pro budoucí změny
 * Oprava: 8112 - Zadávání a intepretace datace století
 * Oprava: zadávání datace ve formátu Století-Rok
 * Oprava: 7753 - Akordeon - filtr není funkční při "Seznamu rodičů jednotky popisu"


ZP, v 212
---------------
 * Nově: EAD pro manipulační seznam
 * Nově: EAD - uplatnění omezení přístupnosti pro obsah/regest
 * Nově: EAD - dokončení rolí a výstupu digitalizatů
 * Nově: 8124 - role entit: obrazově a/nebo zvukově zachycená entita
 * Nově: Přejmenování ENTITY_ROLE_66-72 (související entita dle ZP 2021)
 * Nově: 7724 - úprava povinnosti PP Způsob a forma dochování (ZP 5.2.3)
 * Nově: 6228 - složka manipulačního seznamu - počet archiválií >1 + Další EJ ve složce
 * Nově: 8130 - PP_007 Změna povinnosti prvku popisu v důsledku existence na vyšší úrovni (dědičnost)
 * Nově: 8132 - Podtyp hudebnina - umožnění pod neevidovanou jednotlivostí a částí jednotlivosti (EJ karton / fascikl)
 * Oprava: zobrazení přímo napojených entit (bez rolí)
 * Oprava: RE_023 a RE_024 Tisky (odstranění možné role autor hudby / skladatel)


CZ_BASE, v 56
---------------
 * Nově: Seznam zaniklých geoobjektů - chronologický doplněk "zaniklo" (změna v ZP 3.1)
 * Oprava: 8105 - chybná validace při zařazení katastrálních území pod vojenský újezd
 

verze 2.5.2
================
 * Nově: Sémantická URL v části pořádání
 * Nově: Přepracována úvodní stránka
 * Nově: 7987 - Odstraňování whitespace
 * Nově: Rozšíření API pro tvorbu výstupů (entity)
 * Nově: 8016 - Výpočet evidenčních jednotek - zahrnutí datace EJ uvedené u nadřazené logické složky
 * Oprava: 8097 - Synchronizace kolidujících záznamů s CAM
 * Oprava: 7968 - Nelze exportovat soubor se smazanými JP
 * Oprava: 7974 - Nelze exportovat soubor se smazanými přílohami


ZP2015, v 211
---------------
 * Nově: 7249 - Úpravy výstupu EAD (3. část)
 * Nově: Precizace pravidel :ref:`ZP2015_PRAVIDLA_UJ_001` až :ref:`ZP2015_PRAVIDLA_UJ_011`
 * Nově: Soulad se ZP3.0/3.1
 * Oprava: Informace o zpracování není opakovatelná


verze 2.5.1
================

 * Nově: Rozšíření dialogu pro výběr prvku popisu a jeho úprava
 * Nově: Přepracování způsobu práce se souřadnicemi
 * Nově: Při výpočtu počtu EJ se zohlední ukládací jednotka uvedená výše
 * Nově: Drobná optimalizace výpočtu počtu EJ
 * Nově: Přepracování způsobu spouštění pravidel na "Stateless" - zrychlení o 15%
 * Nově: 7751 - Přepracování funkce přejít na JP dle čísla
 * Oprava: Automatický import balíčků
 * Oprava: Odstranění vymazaných archivních entit z indexu
 * Oprava: Aktualizace entit pomocí WSDL API, zdvojování označení
 * Oprava: 7952 - Nahrazení entit s velkým počtem vazeb
 * Oprava: 7994 - Problém s náhledem mapy u geografických entit
 * Oprava: 8070 - Export znepltněných / nahrazených entit pro formát CAM
 * Oprava: Deduplikace v případě opakovaného výskytu vazby na entitu

ZP2015, v 210
---------------
 * Nově: 6416 - Uložení - zadání způsobu povinně
 * Nově: 7249 - Úpravy výstupu EAD (2. část)
 * Nově: 8056 - Nový prvek popisu Metráž UJ v uložení
 * Nově: Přepracování pravidel popisu a soulad s nimi:

  * :ref:`ZP2015_PRAVIDLA_HP_001`
  * :ref:`ZP2015_PRAVIDLA_HP_002`
  * :ref:`ZP2015_PRAVIDLA_HP_003`
  * :ref:`ZP2015_PRAVIDLA_HP_004`
  * :ref:`ZP2015_PRAVIDLA_HP_005`
  * :ref:`ZP2015_PRAVIDLA_HP_006`
  * :ref:`ZP2015_PRAVIDLA_HP_007`
  * :ref:`ZP2015_PRAVIDLA_HP_008`
  * :ref:`ZP2015_PRAVIDLA_HP_009`
  * :ref:`ZP2015_PRAVIDLA_HP_010`
  * :ref:`ZP2015_PRAVIDLA_HP_011`
  * :ref:`ZP2015_PRAVIDLA_HP_012`
  * :ref:`ZP2015_PRAVIDLA_HP_013`
  * :ref:`ZP2015_PRAVIDLA_HP_014`
  * :ref:`ZP2015_PRAVIDLA_TA_001`
  * :ref:`ZP2015_PRAVIDLA_TA_002`
  * :ref:`ZP2015_PRAVIDLA_TA_003`
  * :ref:`ZP2015_PRAVIDLA_TA_004`
  * :ref:`ZP2015_PRAVIDLA_TA_005`
  * :ref:`ZP2015_PRAVIDLA_TA_006`
  * :ref:`ZP2015_PRAVIDLA_UJ_001`
  * :ref:`ZP2015_PRAVIDLA_UJ_002`
  * :ref:`ZP2015_PRAVIDLA_UJ_003`
  * :ref:`ZP2015_PRAVIDLA_UJ_004`
  * :ref:`ZP2015_PRAVIDLA_UJ_005`
  * :ref:`ZP2015_PRAVIDLA_UJ_006`
  * :ref:`ZP2015_PRAVIDLA_UJ_007`
  * :ref:`ZP2015_PRAVIDLA_UJ_008`
  * :ref:`ZP2015_PRAVIDLA_UJ_009`
  * :ref:`ZP2015_PRAVIDLA_UJ_010`
  * :ref:`ZP2015_PRAVIDLA_UJ_011`
  * :ref:`ZP2015_PRAVIDLA_RE_009`
  * :ref:`ZP2015_PRAVIDLA_RE_010`
  * :ref:`ZP2015_PRAVIDLA_RE_012`


verze 2.5.0
================

 * Nově: Zvětšení tlačítek nástrojové lišty jednotky popisu
 * Nově: 6923 - Postupné rozbalování stromu
 * Nově: 8019 - Archivní entity - Deduplikace souvisejících entit a různé externí systémy (sloučení s odkazem na nahrazující entitu)
 * Nově: 8000 - Archivní entity - Obnovení zneplatněné entity (uživatelské rozhraní)
 * Nově: 7999 - Archivní entity - záhlaví nahrazující entity (přístup k nahrazené entitě)
 * Nově: 7698 - Odstranění duplicit - okno s upozorněním (přidání zobrazení ID a scope, informace o probíhající akci)
 * Nově: 7249 - Úpravy výstupu EAD (1. část)
 * Nově: 6137 - Historie změn - zobrazení informace o probíhající UNDO operaci

 * Oprava: Aktualizace balíčků v případě přidání prvku popisu
 * Oprava: 7396 - Tabulkové zobrazení - PP Datace vzniku - při hromadné úpravě mizí hodnota


ZP2015, v 209
---------------
 * Nově: 7249 - Úpravy výstupu EAD (1. část)
 * Nově soulad s pravidly:

  * :ref:`ZP2015_PRAVIDLA_RE_001`
  * :ref:`ZP2015_PRAVIDLA_RE_002`
  * :ref:`ZP2015_PRAVIDLA_RE_004`
  * :ref:`ZP2015_PRAVIDLA_RE_005`
  * :ref:`ZP2015_PRAVIDLA_RE_006`
  * :ref:`ZP2015_PRAVIDLA_RE_007`
  * :ref:`ZP2015_PRAVIDLA_RE_008`
  * :ref:`ZP2015_PRAVIDLA_RE_011`

 * Nově: 7899 - Role entit - nové specifikace (opisovač, vlastník, místo fotografování, odborná spolupráce, místo předání)


CZ_BASE, v 55
---------------
 * Nově: Při předání do externího systému jsou odfiltrovány části obsahující známé prvky popisu s nepovolenými specifikacemi



verze 2.4.9
================

 * Nově: 7950 - Entity: automatické párování shodného partu
 * Nově: 7659 - Změna potvrzovacích dialogů
 * Nově: 7251 - Sjednocení způsobu zápisu souřadnic - úprava importu ze souboru

 * Oprava: Synchronizace s CAMem v případě existence neodeslaného dětského Partu
 * Oprava: 7912 - Editor revizí - chyba při opuštění sekce a opětovném návratu do ní
 * Oprava: 7941 - Filter omezení přístupnosti


verze 2.4.7
================
 * Nově: Omezení přístupnosti - exportní filtr
 * Nově: 7941 - Omezení přístupnosti - filtr - tiskové výstupy
 * Nově: 7951 - Entity: Obnovení zneplatněné entity
 * Nově: 7952 - Nahrazení entity s velkým množstvím vazeb
 * Nově: 7698 - Odstranění duplicit - okno s upozorněním před provedením nahrazení / sloučení záznamu entity
 * Nově: Rozšíření logování při napojování DAO
 
 * Oprava: 7658 - Chyba při změně zobrazení modulu (Administrace)
 * Oprava: 7891 - Historie změn - chyba (clear cache and reload)
 * Oprava: 7912 - Editor revizí - chyba při opuštění sekce a opětovném návratu do ní
 * Oprava: 7935 - Výstupy - Počet EJ zpřístupněných AP - chybná datace u jednotlivostí
 * Oprava: 7955 - Archivní entity - zápis změn do externího systému - nový part není odeslán
 * Oprava: 7973 - Samovolný posun datace století (Juliánský - Gregoriánský kalendář)
 * Oprava: 7976 - Nelze upravit vlastnosti souboru (viz 7871 - Vlastnosti AS - nelze upravovat uživateli s oprávněním Verzování a editace)
 * Oprava: 7982 - Změna scénáře napojení DAO - chybná párování
 * Oprava: 7984 - Obnovení chybně zrušené role "autor" u technických výkresů (viz 6242 - Vymazání zastaralých specifikací)


ZP2015, v 208
---------------
 * Oprava: 7984 - Obnovení chybně zrušené role "autor" (pro technické výkresy)
 * Oprava: 7964 - Úprava velikosti tiráže u tiskových výstupů



verze 2.4.6
================
 * Nově: Omezení přístupnosti - exportní filter
 * Nově: Vyhodnocení pravidel bez vymazání předchozích výsledků (viz 7793 - Nemožnost zápisu do PP jazyk)
 * Nově: 7705 - Automatické nahrání balíčků
 * Nově: 7866 - Nastavení velikosti DB dávek (načtení ve třídě HibernateConfiguration)
 * Nově: 7868 - Přidání URL pro odhlášení
 * Nově: 7822 - Entity: Zobrazení informace o poslední změně

 * Oprava: 7870 - Export zneplatněných/nahrazených entit
 * Oprava: 7921 - Výstupy - Počet EJ zpřístupněných AP - chybná datace u kartonů a fasciklů
 * Oprava: 7922 - Perzistentní řazení - undo
 * Oprava: 7925 - Editor revizí - přesun hodnoty vztahu "místo" z části Vznik do části Vztahy při akci Potvrzení revize
 * Oprava: 7930 - Vícenásobný export částí entity
 * Oprava: 7931 - Zneplatněná a nahrazená entita - zůstává platný název
 * Oprava: 7934 - Editor revizí - nelze smazat část záznamu entity


ZP2015, v 207
---------------
 * Nově: 7920 - Nový PP Uplatněné omezení přístupnosti
 * Nově: 7900 - Role entit - sloučení "skladatel" do "autor hudby / skladatel"
 * Nově: 7899 - Role entit - nové specifikace (opisovač, vlastník, místo fotografování, odborná spolupráce, místo předání), část 1
 * Nově: 7933 - Tiskové výstupy - použití zkratek specifikací rolí entit

 * Oprava: 6242 - Vymazání zastaralých specifikací
 * Oprava: 7898 - Role entit - názvy specifikací


CZ_BASE, v 54
---------------
 * Nově: Nový archiv SOkA Praha-venkov + odstranění archivů SOkA Praha-východ a SOkA Praha-západ



verze 2.4.4
================
 * Nově: Omezení přístupnosti - exportní filter, část 1
 * Nově: 7846 - WSDL: Fund - správa oblastí a správců (Integrace PEvA -> ELZA)
 * Nově: 6525 - Výstupy - rozšíření hromadné akce pro agregaci úvodu o výpočet časového rozsahu evidenčních jednotek
 * Nově: 7750 - Administrace - Správa oprávnění uživatelů - omezení rozsahu
 * Nově: Synchronizace s CAM - Spouštění aktualizace CAM s právy nastaveného uživatele, při stažení s právy admin

 * Oprava: Synchronizace s CAM - Předcházení zacyklení pokud GEO entita odkazuje sama na sebe (nebo je jinde cyklus)
 * Oprava: Synchronizace s CAM - Neprovádění záměn u entit pocházejících ze stejného ext. systému na zaklade přijetí informace o deduplikaci
 * Oprava: 7415 - Nestandardní chování při mazání identifikátoru entity (překlad chybové hlášky)
 * Oprava: 7542 - Odstranění podřízených částí při synchronizaci
 * Oprava: 7566 Archivní entity - Aktualizace údajů z externího systému - oprava použití chybové hlášky
 * Oprava: 7793 - Nemožnost zápisu do PP jazyk
 * Oprava: 7844 - Text chybové hlášky při odstranění duplicity (nenapojení scope k AS)
 * Oprava: 7866 - Nastavení velikosti DB dávek

ZP2015, v 205
---------------

CZ_BASE, v 53
---------------
 * Nově: Interní doplněk - generování označení třídy ROD/RODINA
 * Oprava: 7845 - Generátor doplňku Autor/tvůrce - záměna prvků pro návrh
 


verze 2.4.3
================
 * Nově: 6142 - Počet znaků ve stromu, upravení zobrazení stromu (tooltip, prokládání řádku)
 * Nově: 7825 - Archivní entity - horní panel - oddělení tlačítek editoru revizí do samostatného bloku
 * Nově: 7802 - Editor revizí - zneaktivnění tlačítek pro popis záznamu entity dle oprávnění
 * Nově: 7797 - Editor revizí - zneaktivnění tlačítka Změnit vlastnosti entity u entity s vytvořenou revizí
 * Nově: 7818 - Editor revizí - doplnění upozornění na rozpracovanou revizi při akcích Odstranit duplicitu a Zápis entity do externího systému
 * Nově: 7831 - Archivní entity - odlišení stavů synchronizace též ikonami
 * Nově: 7838 - Archivni entity - zachování prvků popisu při zneplatnění a náhradě entity
 * Nově: Refaktorizace zakladani jednotek popisu - urychleni hromadnych operaci
 * Nově: Upravení zobrazení seznamu uživatelů / skupin v administraci

 * Oprava: 7708 - Stažení entit z CAM (COMPLETE) - u navázaných entit z téhož systému se nezobrazí označení
 * Oprava: 7643 - Přesuny - chybné pořadí přesunutých JP po použití perzistentního řazení
 * Oprava: 7824 - funkce Vytvořit doplňky - nesprávná tvorba doplňků u zahraničních obcí
 * Oprava: 7832 - Tabulkové zobrazení - nelze upravit
 * Oprava: 7835 - Nelze editovat prvek popisu, jehož hodnotou je archivní entita, pokud proklikneme do modulu Archivní entity
 * Oprava: 7801 - Funkce - vymazání ukládacích jednotek - chyba
 * Oprava: 7841 - Revalidace entity při změně ze stavu Ke schválení na Schválená
 * Oprava: 7842 - Revalidace entity při změně na stav Schválená v prostředí editoru revizí
 * Oprava: 7848 - Editor revizí - chyba oprávnění Změna schválených archivních entit - umožňuje schválit entitu (potvrdit revizi)


ZP2015, v 204
---------------
 * Nově: 7729 - Změna povinnosti role entit v důsledku editace na vyšší úrovni (dědičnost)



verze 2.4.2
================
 * Nově: 7696 - Odstranění duplicit - automatická náhrada vztahů u entit
 * Nově: 7827 - Archivní entity - levý panel - hodnoty Zneplatněná a Nahrazená ve filtru dle stavu entity
 * Nově: 7828 - Archivní entity - informace o zobrazení neexistujícího záznamu
 * Nově: 7809 - Archivní entity - Odstranit duplicitu - Sloučit - zákaz pro entity s vytvořenou revizí
 * Oprava: Zobrazení informace o načítání entity 
 * Oprava: Zmizení výběru položek v tabulkovém zobrazení při změně velikosti okna
 * Oprava: Archivní entity - Změna stavu entity se ukazuje jako lokální změna


verze 2.4.1
================
 * Nově: Editor revizí - zobrazování stavu entit
 * Nově: Archivní entity: zobrazení poslední změny entity v tooltipu
 * Nově: 7779 - Archivní entity: odkazy - podpora pro zobrazení záznamu související entity na jiné kartě prohlížeče
 * Nově: 7780 - Archivní entity: rozsah informací o napojované entitě v našeptávači
 * Nově: 7810 - Archivní entity: záhlaví zneplatněných entit - zobrazení nahrazující entity
 * Nově: 7739 - Archivní entity: omezení oblastí v rozšířeném filtru při výběru základním filtru
 * Nově: 7519 - Zrychlení importu většího množství DAO + možnost aktualizace již napojených DAO přes WS
 * Nově: Editor revizí - změna tlačítka pro zapnutí zobrazeni revize
 * Nově: Archivní popis: Detekce dvou uzlů na stejné pozici ve stromu, předcházení nekonzistenci
 * Nově: Urychlení obnovy AP Cache - paralelní spouštění
 * Oprava: Editor revizí: generování doplňků v revizi
 * Oprava: 7773 - Správa šablon - nezobrazují se názvy šablon a nelze upravit prvky popisu - opraveni zobrazeni nazvu
 * Oprava: 7800 - Editor revizí: oprávnění - entity může měnit uživatel bez oprávnění Zakládání a změny nových
 * Oprava: 7803 - Editor revizí: Události - nabídka nesprávných specifikací vztahů
 * Oprava: 7812 - Rozšířený filtr - chybné vyhledávání souvisejících entit - filtr zobrazuje entity dle změněných hodnot
 * Oprava: 7719 - Editor revizí: - Potvrzení revize - synchronizace s externím systémem
 * Oprava: 7397 - Tabulkové zobrazení - nesprávné číslo u "odškrtnutých" JP na stránce
 * Oprava: 7799 - Změna stavu revize
 * Oprava: 7279 - oprava swagger-ui a aktualizace verze springdoc-openapi-ui
 * Oprava: 7788 - Editor revizí - oprávnění - schválené entity může měnit uživatel bez oprávnění Změna schválených archivních entit
 * Oprava: 7790 - Archivní entity - omezení vzniku stavů entit Příprava revize, Revize k doplnění, Revize ke schválení
 * Oprava: 7789 - Editor revizí - Potvrzení revize u entit ve stavu Nová a K doplnění
 * Oprava: 7661 - Editor revizí - přidáno zpracování Part(s), které byly přidány v revizi
 * Oprava: 7782 - Editor revizí - záznam entity zobrazuje hodnoty z editoru revizí (režimu revize)


ZP2015, v 203
---------------
 * Oprava: prvek 5.2.10 Písmo - oprava malého "p"


CZ_BASE, v 52
---------------
 * Nově (z CAM): Limitování použití kódů "ISO3166_2","ISO3166_3","ISO3166_NUM","ISO3166_PART2" jen na státy a kontinenty
 * Nově (z CAM): R_GEN_006 Prázdné části popisu archivní entity
 * Nově (z CAM): Jazyk díla -> Jazyk originálu
 * Oprava (z CAM, #134): Vztah RT_FIRSTKMEMBER-první známý člen rodu/rodiny nelze použít v události Narození prvního známého člena rodu/rodiny
 * Oprava (z CAM, #133): Nelze přidat prvek popisu jazyk originálu vícekrát
 * Oprava: 7778 - Podtřída Vesmír a jeho části - PP Typ geografického objektu nenabízí žádné specifikace
 


verze 2.4.0
================

 * Nově: Editor revizi archivních entit
 * Nově: Zobrazování souřadnic v mapě
 * Nově: Refaktorizace zobrazení záhlaví entity
 * Nově: Generátor doplňků označení archivních entit
 * Nově: Archivní entity - řešení lokální změny včetně možnosti změny scope
 * Nově: Archivní entity - změna URL na sémantická
 * Nově: 7349 - Archivní entity - přesun "upravil: " do tooltipu
 * Nově: Synchronizace většího množství entit - zrychlení
 * Nově: Úprava ikon - vymazani historie
 * Nově: 7356 - export CAM_ID přes WSDL rozhraní jako samostatný externí identifikátor
 * Nově: 7655 - Balíček může rozšiřovat specifikace
 * Nově: Přejmenování Nezjištěno => výjimka
 * Oprava: 7758 - Umožněna změna oblasti schválené entity bez vzniku revize
 * Oprava: 7393 - Archivní entity - nesprávné hlášení lokální změny u PP Odkaz na zdroje informací (část Tělo)
 * Oprava: 7726 - pokročilé vyhledávání - systémová chyba v důsledku zrušení typu kalendáře
 * Oprava: Refaktorizace UNDO a významné urychlení
 * Oprava: Přidání kontroly na read-only pro položky a jejich změnu
 * Oprava: 7661 - více hodnot stejného typu
 * Oprava:  7622 - Domovská stránka - Naposledy zobrazená rejstříková hesla - odkaz zobrazí pouze poslední
 * Oprava: 7751 - Přejmenování: Přejít na JP podle pořadového čísla
 * Oprava: Archivní entity - oprava záporné datace
 * Oprava: 7717 - zákaz změny třídy revize, pokud je entita napojena na CAM
 * Oprava: 7653 - počet EJ zpřístupněných AP - soubor CSV obsahuje prázdné hodnoty
 * Oprava: 7670 - tabulkové zobrazení - filtr textových prvků popisu - chyba vyhledávání a zobrazování (velká písmena) 
 * Oprava: 7238 - Překlepy a grafická podoba - mezery v detailu AS


ZP2015, v 202
---------------

 * Nově: Úpravy popisu PP dle ZP 2021 (pevné spojení, počet archiválií)
 * Oprava: 6003 - Starší pomůcka - provizorní -> prozatímní inventární seznam
 * Oprava: 7738 - Přejmenování typu archiválie: samostatná pečeť, odlitek pečeti, otisk typáře => pečeť, ...


CZ_BASE, v 51
---------------

 * Nově: 7661 - Generátor doplňků označení archivních entit


verze 2.3.9
================

 * Nově: Opětovné použití uzlu při shodném UUID a jeho předcházejícím zneplatnění
 * Nově: Úprava ikon - vymazání historie, převzetí a uložení do externího systému
 * Nově: 7349 - arch. entity - přesun "upravil: " do tooltipu
 * Oprava: ukládání hodnot do databáze v případě readOnly prvků popisu
 * Oprava: Kontrola příznaku read-only pro položky archivního popisu a jejich změnu
 * Oprava: 7444 - oprava synchronizace deadlock
 * Oprava: 7238 - oprava překlepu (Interní kód)


ZP2015, v 201
---------------

 * Nově: 7399 - Datace vzniku - příznak Nezjištěno - zrušení u starší pomůcky
 * Nově: 7357 - Dílčí list NAD - zrušení
 * Nově: 7052 - Datum popisu - nastavit jako doporučený na úrovni Soubor
 * Nově: 7531 - Prvek popisu Autorské dílo - změna na doporučený
 * Nově: 6615 - Jiné datace jednotky popisu než datace vzniku jednotky popisu - datace právní účinnosti a platnosti
 * Nově: 7601 - Nový prvek Prameny a literatura v úvodu pomůcky
 * Oprava: 6003 - Starší pomůcka - provizorní -> prozatímní inventární seznam



CZ_BASE, v 50
---------------
 
 * Nově: Změna odlišujícího doplňku (NM_SUP_DIFF) na číslo
 * Nově: Synchronizace pravidel s CAMem (mimo jiné odlišující doplněk, vztahy u rodů)
 * Oprava: Arch.entity - GeoModel přidání informace o zaniklé entitě


verze 2.3.8
================
 * Nově: - 7617 - Nastavení externího systému - odesílání jen schválených entit
 * Nově: Publikování pomůcky odesláním přes webovou službu (:ref:`Admin_config_upload_fa`)
 * Oprava: Zákaz odstranění prvků popisu v režimu jen pro čtení
 * Oprava: - 7619 - PP Souřadnice - nejde zadat polygon

ZP2015, v200
---------------
 * Oprava: 7618 - EAD3 - generování výstupu pro část jednotlivosti


verze 2.3.7
================
 * Nově: 7596 - Rozšíření nápovědy u PP Souřadnice
 * Nově: 7540 - Archivní entity - důsledky zneplatnění a nahrazení v externím systému
 * Oprava: 7611 - Souřadnice - zkopírování WKT linie
 * Oprava: 7604 - Datace - odhad, zadaná hodnota je chybně přepsána
 * Oprava: NPE při příjmu dat z úložiště

ZP2015, v199
---------------
 * Nově: Souřadnice - rozšíření pole na dvojnásobek
 * Nově: Tisk původců - variantní označení, doplnění užití jména
 * Nově: Tisk pomůcky - u datace jména se namísto "užití jména od/do" uvede jen "od/do"
 * Nově: 6762 - Tisk původců - uvádění typu vzniku a zániku
 * Nově: Tiskový výstup - "Forma užití jména: " -> "Užití jména: "
 * Oprava: 5.2.1 Jiné datace: datace insertu/transeptu -> .../transumptu (oprava v ZP 2021)

CZ_BASE, v 49
---------------
 * Nově: 7570 - Archivní entity - pořadí prvků popisu v části Tělo (Vnitřní struktury korporace)


verze 2.3.6
================
 * Nově: 7569 - odesílání informací o uživatelích (autorech popisu entit) do CAM
 * Nově: 7539 - Archivní entity - Odstranění duplicit - zákaz pro entity napojené na externí systém
 * Nově: 7538 - CAM - při Timeout komunikace s CAMem bude akce provedena později (dříve končila chybou)
 * Nově: Archivní entity - Automatický reset transakce při jejím nenalezení
 * Nově: Archivní entity - odstranění možnosti nastavení resetu pro synchronizaci
 * Nově: Při zakládání úrovně je možné určit UUID, využito při napojování z digit. arch.
 * Nově: Odkaz na DAO lze definovat pomocí node UUID
 * Nově: Tisk odkazu - tisk ve formátu "popis: <url>"
 * Nově: PDF výstupy: Přepracování způsobu řešení řádkovaní v šablonách
 * Nově: CAM synchronizace: Rozlišení stavu nenalezení entity a jiné chyby, automatická změna velikosti dávky
 * Nově: 7554 perzistentní řazení - umožnění pro PP Ukládací jednotka
 * Oprava: Archivní entity - synchronizace při změně pref. označení
 * Oprava: Archivní entity - nastaveni pref. označení při volání WebService
 * Oprava: 7552 - Archivní entity - chyba ve znázornění stavu synchronizace: Nesynchronizuje se (červený puntík)
 * Oprava: nekonzistence DB - Archivní entity - prázdné party
 * Oprava: generováni záznamů v cache - obsahovaly i zneplatněné vazby
 * Oprava: 7575 - Archivní entity - ztráta interního a odlišujícího doplňku po odeslání entity do CAM
 * Oprava: 7542 - Archivní entity - odstranění podřízených částí při synchronizaci


ZP2015, v198
---------------
 * Nově: 7292 - Tiskový výstup - zobrazení PP Množství
 * Nově: 7183 - Tiskový výstup - nezobrazí se uživatelské změny popisu původců
 * Nově: Tisk původců - dokončení
 * Nově: 7246 - Edice a literatura - potlačení agregace
 * Nově: PDF výstup: Přepracování způsobu řádkování v šablonách
 * Oprava: 7290 - Tiskový výstup - zobrazení PP Hmotnost
 * Oprava: 7297 - Tiskový výstup - zobrazení PP Legenda
 * Oprava: Pomůcka - úvod: Edice a literatura: -> Prameny a literatura:


CZ_BASE, v 48
---------------
 * Nově: Zasílání odlišujícího doplňku do CAM
 * Nově: 7570 - Archivní entity - pořadí prvků popisu v části Tělo


verze 2.3.5
================
 * Nově: CAM - možnost protokolování odchozí komunikace
 * Nově: 7522 - archivní entity - sloučení - eliminace zdvojení shodných specifikací a hodnot prvků popisu
 * Nově: Hromadná změna strukturovaných typů v tabulkovém zobrazení (ukládací jednotky, omezení přístupnosti)
 * Nově: Sjednocení způsobu zápisu souřadnic
 * Změna: Nová ikonka pro nahrání souřadnic
 * Oprava: tisk / výstup podřízených částí u archivních entit
 * Oprava: Opětovné používání existujícího napojení na CAM
 * Oprava: 7566 - aktualizace údajů z externího systému - oprava použití chybové hlášky
 * Oprava: 7551 - aktualizace údajů z externího systému - oprávnění
 * Oprava: Kontrola oprávnění při změně hodnoty z tabulkového zobrazení
 * Oprava: Při změně entity v CAMu a současné existenci lokální změny, nastavení stavu: NESYNCHRONIZOVÁNO (červený puntík)


ZP2015, v197
---------------
 * Nově: 6762 - Tisk původců v úvodu pomůcky - přepracování
 * Nově: 7559 - Migrace prvku jazyk / sjednocení s jazykem dle ZP2021/v3


CZ_BASE, v 47
---------------
 * Nově: 7559 - Migrace prvku jazyk / sjednocení s jazykem dle ZP2021/v3


verze 2.3.4
================
 * Nově: 7312 - limitování prvků popisu pro perzistentní řazení
 * Nově: 7423 - změna oblasti / třídy entity - (ne)povinnost změny stavu
 * Nově: 7484 - archivní entity - sloučení - omezení dle stavů entit
 * Nově: 7485 - aktualizace údajů z ext. systému - omezení dle stavů entit
 * Oprava: 7040 - tabulkové zobrazení - původce
 * Oprava: 7532 - uživatel s oprávněním Zakládání a změny nových může měnit oblast
 * Oprava: kontrola nalezeni fondu pomoci UUID

ZP2015, v196
---------------
 * Nově: Autorské dílo - změna po sloučení ZP 5.2.2 se ZP 4.2.4 Formální název JP
 * Oprava: 7509 - Výstup - karta - nezobrazuje se PP množství


verze 2.3.3
================
 * Nově: 7385 - umožnění editace uživatele a oprávnění i po zneplatnění napojené entity
 * Nově: 7446 - správa oblastí archivních entit pouze pro Superuživatele
 * Nově: 7471 - pevné spojení - vyhledání napojované jednotky popisu dle UUID
 * Nově: 7484 - archivní entity - sloučení - omezení dle stavů entit
 * Nově: 7489 - archivní entity - sloučení - zdvojení shodných specifikací a hodnot prvků popisu
 * Nově: 7520 - Jednoznačnost napojeni na CAM
 * Oprava: 7423 - změna oblasti/třídy entity - (ne)povinnost změny stavu
 * Oprava: 7468 - v režimu čtení nejsou k dispozici přílohy
 * Oprava: 7502 - Archivní entity - chyby při odeslání entity s napojenou entitou, která není v CAM

ZP2015, v195
---------------
 * Oprava: 7478 - Výstup - karta (nevejde se celý název instituce)


verze 2.3.2
================
 * Nově: 6935 - Archivní entity - omezení napojení entity k jednotce popisu dle oblastí
 * Nově: 7488 - Archivní entity - chybějící ikonka popelnice (smazat) v části Tělo
 * Nově: 7385 - Administrace - umožnění editace uživatele a oprávnění i po zneplatnění napojené entity
 * Nově: 7410 - synchronizace s externími systémy - doplnění stavů do filtru v UI aj.
 * Nově: 6681 - Administrace - pro import nestačí pouze právo zakládání
 * Nově: 7239 - nelze importovat pořádací schéma bez oprávnění administrace
 * Oprava: 7487 - Archivní entity - entity napojené k záznamu entity se nepřenášejí do externího systému (vztahy)
 * Oprava: CAM: Odesílání schválených entit v Elza ve stavu ‘schválená’
 * Oprava: 7401 - Archivní entity - odstranění duplicity - nefunkční sloučení entit

ZP2015, v194
---------------
 * Oprava: Filtr prvků popisu pro tabulkové zobrazení - přidání strukturovaných typů


verze 2.3.1
===============
 * Nově: 7424 - Neumožnění změny třídy / podtřídy u entit synchronizovaných s CAM
 * Nově: 7470 - Řazení záznamů archivních entit a jejich částí pro tisk
 * Nově: 7400 - Lektorování: export CSV přidání označení napojené entity
 * Oprava: CAM: Automatické párovaní záznamů pomocí UUID

CZ_BASE, v 46
---------------
 * Nově: 7437 - Archivní entity - pořadí specifikací prvků popisu dle ZP 3.0
 * Nově: Automatické řazení částí popisu (označení, vztahy, události) - dokončení

verze 2.3.0
===============
 * Nově: 7252 - Získání identifikátoru jednotky popisu
 * Nově: 7352 - Indexace dlouhých polí (delších než 32000 znaků)
 * Nově: 7384 - Kontrola změn entit při opakovaném importu
 * Nově: 7436 - Pořadí částí u záznamu entity (Události, Vztahy aj.)
 * Nově: Zákaz možnosti odpojit entitu od CAM a propojit stávající entitu se záznamem z CAMu
 * Nově: Přejmenování záložky Kontroly na Nastavení (zobrazení kontroly JP)
 * Nově: Filtrování interních prvků popisu při zápisu do CAM
 * Nově: Import archivního souboru zachovává UUID strukturovaných typů
 * Nově: Automatické párování DAO a DaoLink při importu přes WSDL
 * Nově: 7429 - Archivní entity - neumožnění schválení nezvalidované entity
 * Oprava: 7398 - Tabulkové zobrazení - filtr u PP Role entit - systémová chyba
 * Oprava: 7452 - Tabulkové zobrazení - filtr PP datace
 * Oprava: 7401 - Archivní entity - odstranění duplicity - nefunkční sloučení entit
 * Oprava: 7276 - Archivní entity - PP Administrativní zařazení - chybné číselníky pro vyhledávání
 * Oprava: 7303 - Filtrování dle stavů při komunikaci s externím systémem
 * Oprava: 7413 - Nemožnost editace těla entity po sloučení hesla z CAM
 * Oprava: Při validaci entity je shodna chyba zobrazena dvakrát
 * Oprava: Zobrazení stavu entity po zápisu do CAMu
 * Oprava: 7408 - Archivní entity - nabídka v menu při nižších oprávněních
 * Oprava: 7405 - Archivní entity - zápis do externího systému - nezobrazí se okno
 * Oprava: 7412 - Archivní entity - zánik změnou
 * Oprava: 7421 - Pořadí částí při export archivních entit

CZ_BASE, v 45
---------------
 * Nově: R_NAM_002.ELZA_1 Použití prvků popisu pro označení (interní označení)
 * Nově: Automatické řazení částí popisu (označení, vztahy, události)

ZP2015, v 193
----------------
 * Nově: 7250 - Tabulkové zobrazení - úprava výběru prvků popisu ve formuláři

verze 2.2.5
==============
 * Nově: 7385 - Administrace - umožnění editace uživatele a oprávnění i po zneplatnění napojené entity
 * Oprava: Kritická chyba v knihovně Axios, přechod na Axios 0.21.4
 * Oprava: 6767 - Archivní entity - odskok zaměření po vyplnění PP

verze 2.2.4
==============
 * Nově: 7348 - Přepracování zobrazení stromu pro uživatele s oprávněním pouze nahlížet
 * Nově: 7354 - Archivní entity - barevné označení synchronizace entit s CAM
 * Nově: Arch.entity - nepropagování vztahů do nadřízeného popisu u události (neopakování informace)
 * Oprava: 7034 - Nesrovnalosti - problémy se zobrazením v pravém panelu
 * Oprava: 7275 - Archivní entity - odstavce a zalomení textu v prvcích popisu se neuloží / nezobrazí
 * Oprava: 7318 - Chybné počítání evidenčních jednotek - zdvojnásobení
 * Oprava: 7377 - Tabulkové zobrazení - nefunkční filtr Datace vzniku
 * Oprava: 7267 - Funkce Místa použití u archivních entit neumí přesměrovat na jednotku popisu
 * Oprava: Hromadná změny datace v tabulkovém zobrazení
 * Oprava: 7372 - Přílohy - při odstranění chybí upozornění na napojení k jednotce popisu
 * Oprava: Synchronizace s CAMem v případě souřadnic s více polygony
 * Oprava: Přidání indexu na ap_item, oprava nekonzistence v DB

CZ_BASE, v 44
---------------
 * Nově: Synchronizace pravidel s CAMe
  
   * přidání externích identifikátorů: Národní autority ČR, Virtual International Authority File, Library of Congress Name Authority File
   * přidání prvku popisu: Odlišující doplněk
  
 * Oprava: Konstrukce označení u rodů


verze 2.2.3
==============
 * Nově: Schvalování archivních entit v souladu s metodikou CAM (příprava pro certifikaci)
 * Nově: Odstranění datace dle juliánského kalendáře
 * Nově: 7184 - Tiskový výstup - zobrazení datace
 * Nově: 7327 - Oprávnění na správu protokolů archivních souborů
 * Nově: 7329 - Lektorování - terminologické změny (Správa lektorování aj.)
 * Oprava: 7336 - Nefunkčnost tlačítka Kopírovat hodnoty PP z předchozí JP
 * Oprava: 7262 - Při založení nové entity se neuloží PP Typ formy jména a PP Jazyk jména

ZP2015, v 192
----------------
  * Nově: 7305 - Obsah ke zveřejnění - přejmenování na Obsah s omezením přístupnosti
  * Nově: 7247 - Nový rozsah omezení přístupnosti - použití prvků s omezením (uplatnění pro PP obsah)
  * Oprava: 6496 - Přejmenování důsledků u omezení přístupnosti
  * Oprava: 7338 - Názvy prvků popisu a specifikací (velká / malá písmena) - sjednocení
  * Oprava: 7296 - Tiskový výstup - odstavce a zalomení textu v prvcích popisu
  * Oprava: 6239 - Text napsaný uvnitř <> se nezobrazuje v tiskovém výstupu
  * Oprava: 7224, 7216 - Omezení přístupnosti - doplnění rozsahů


CZ_BASE, v 43
---------------
   * Nově: Úprava nastavení pro kompletní stažení CAM

   
verze 2.2.1
==============
 * Nově: Stažení a lokální kopie obsahu celého CAM
 * Nově: Převzatá entita z externího systému může být v Elza nejvýše jednou
 * Nově: Automatické párování entit z externích systémů pomocí UUID
 * Nově: Automatická reindexace entit a archivního popisu
 * Nově: 7279 - dokumentace k REST API
 * Oprava: 6926 - Lektorování - nelze přidat připomínku z horní lišty
 * Oprava: 7181 - Nastavení zobrazení pravidel kontroly JP -> Rozšíření
 * Oprava: 7038 - Tiskový výstup - smazání původce 
 * Oprava: 7180 - Přehození pořadí původců pomocí přetáhnutí myší se neprojeví v tiskovém výstupu


ZP2015, v 191
----------------
 * Nově: Názvy specifikací jsou malými písmeny
 * Nově: Zavedení prvku popisu: Obsah ke zveřejnění
 * Nově: 6815 - Tisky - úprava tisku pomůcky, která nezačíná na nejvyšší úrovni
 * Nově: 6654 - Pevné spojení - požadavky na tisk
 * Nově: 7065 - Opakovatelnost PP Pevné spojení
 * Nově: 7246 - Tiskové výstupy - agregace úvodu - doplnění PP Edice a literatura
 * Oprava: 4578 - Tiskový výstup - fyzický stav jednotky popisu


verze 2.2.0
==============

 * Nově: Aktualizace pravidel dle CAM
 * Nově: Úpravy tiskových sestav archivních pomůcek
 * Nově: 5260 - Tiskové výstupy - celkový počet EJ v tiráži
 * Nově: 6248 - Lektorování - možnost smazání prázdného posudku
 * Nově: 6983 - Zpřehlednění informací o archivních entitách
 * Nově: 7015 - Lektorování - změna stavu připomínky
 * Nově: 7107 - Administrace - zobrazení interního kódu archivního souboru v našeptávači a seznamu AS
 * Nově: 7128 - Přebírání nových záznamů z CAMu
 * Nově: 7145 - Přidání stavů archivních entit
 * Oprava: 6604 - Pevné spojení - u kartotéky nezmizí UJ a počet EJ
 * Oprava: 7057 - Pevné spojení - generátor ukládacích jednotek (výjimka)
 * Oprava: 7104 - Tiskový výstup - vytvoření kopie (odezva, označení výstupu)
 * Oprava: 7185 - Archivní soubory - nelze stáhnout výstup
 * Oprava: 7206 - Nelze připojit administrativní zařazení
 * Oprava: 7209 - Lektorování - export do CSV
 * Oprava: 7221 - Lektorování - zobrazení připomínek a komentářů (zalomení textu)


ZP2015, v 190
----------------
* Nově: 4146 - Úprava hodnot specifikací PP Jiná označení
* Oprava: 7056 - Tiskový výstup - "značka archivního souboru" namísto "značka fondu" v titulním listu a tiráži
* Oprava: 7193 - Odstranění chybové hlášky "UJ bez uvedení typu hromadiny" pro Složky s typem EJ při uložení Samostatně


verze 2.1.7
==============
 * Nově: Při vytváření vazeb mezi archivními entitami se využívá nové vyhledávání
 * Oprava: 7178 - Hromadné přidání jednotek popisu (způsobuje nefunkčnost výstupů, přesunů či řazení)

verze 2.1.6
==============
 * Nově: Vyhledávání přístupových bodů dle ID
 * Nově: 7126 - Nová funkce pro odstranění záznamu ze synchronizační fronty pro CAM
 * Nově: 7125 - Omezení změn stavů archivních entit dle oprávnění uživatele
 * Nově: 7127 - Refaktorizace načítání změn z CAMu pomocí databázové fronty
 * Oprava: Nefunkční konfigurace pro indexaci a vyhledávání přístupových bodů
 * Oprava: Chyba při zobrazení poškozené archivní entity
 * Oprava: 7025 - Zobrazení posledních arch. entit na úvodní stránce
 * Oprava: 7050 - Úprava posuvníku v prohlížeči Chrome
 * Oprava: Indexace a vyhledávání v archivních entitách po importu
 * Oprava: 7125 - Odstranění zbytečného logování
 * Oprava: 7140 - Chybný stav entity při převzetí z CAMu

CZ_BASE, v 41
---------------
 * Nově: Úprava nastavení vah archivních entit pro vyhledávání

ZP2015, v 189
----------------
* Nově: Obtékání dalších odstavců uvedených v prvku popisu Obsah/regest při tisku do PDF
* Nově: Přidání prvku popisu číslo digitalizátu
* Nově: Přidána specifikace neplatné pořadové číslo u prvku popisu jiné označení
* Oprava: Odstranění pořadového čísla pro tisk z jiného označení 
* Oprava: 7059 - Na titulním listu tiskového výstupu se tiskne název archivu včetně doplňků
* Oprava: 7135 - V tiskovém výstupu se zobrazují pouze specifikace jiných datací


verze 2.1.5
==============
 * Nově: Řazení archivních entit dle relevance
 * Nově: Ukládání stavu odesílání do CAM do databáze
 * Nově: Přenosu stavu archivní entity v nativním formátu
 * Nově: 7063 - Optimalizace rychlosti vytváření cache přístupových bodů
 * Nově: 7078 - API pro hromadné zneplatnění přístupových bodů
 * Nově: 7081 - Export souřadnic ve formátu WKB
 * Nově: 7110 - Importované archivní entity do Elza jsou ve stavu 'nová'
 * Změna: Přepracování exportní fronty pro CAM
 * Oprava: Vymazání přílohy
 * Oprava: 7085 - Chyba exportu datace
 * Oprava: API pro vyhledávání v archivním popisu
 * Oprava: Práce se souřadnicemi při tvorbě archivního popisu
 * Oprava: 7108 - Import souřadnic ze souboru v části pořádání
 * Oprava: 7091 - Výpis stavu archivní entity i bez napojení na CAM
 * Oprava: 7098 - Změna hesla uživatele
 * Oprava: 7099 - Zneplatněnou entitu je možné stále dohledat

ZP2015, v 188
-------------------
 * Nově: V části jednotlivosti s typem část jednotlivost jsou možné role entit shodné s neevidovanou jednotlivostí
 * Nově: Druh omezení přístupnosti - u smlouvy je možnost výběru všech druhů spouštěcích událostí

CZ_BASE, v 40
---------------
 * Oprava: 6788 - Archivní entity - chyba při zakládání taxonomické kategorie


verze 2.1.3
==============
* Nově: 7069 - Vztahy mezi entitami v rámci různých oblastí (scope)
* Oprava: 7079 - Změna hodnoty prvku popisu
* Oprava: 7003 - Kontrola dostupnosti napojované entity k archivnímu popisu
* Oprava: Import příloh

ZP2015, v 187
-------------------
 * Nově: 7012 - Pravidlo pro validaci druhu ukládací jednotky

verze 2.1.2
==============
* Nově: Vyhledávání v synchronizační frontě s CAM dle stavu
* Nově: Možnost změny části přístupového bodu i v případě neúplných dat
* Nově: 6143 - Rozšíření zobrazení prvků popisu ve stromu
* Nově: Přepracování cache archivních entit
* Oprava: Filtrování přístupových bodů dle tříd uvedených u prvku popisu
* Oprava: Stránkování archivních souborů
* Oprava: Nezobrazení hodnoty specifikace v režimu pro čtení
* Oprava: Přepočet času z UTC do lokálního času v synchronizační frontě pro CAM
* Oprava: Vyhledávání dle oblastí archivních entit

ZP2015, v 186
-------------------
* Nově: Změna způsobu konfigurace zobrazení stromu a akordeonu v archivním popisu


verze 2.1.1
==============
 * Nově: 6993 - Verzování příloh
 * Oprava: 4946 - Nelze odstranit přílohu
 * Oprava: Oprava import archivních entit v případě existující entity
 * Oprava: Komunikace s CAM (identifikátory nejsou interpretovány)
 * Oprava: Možnost zakládání entit v případě omezených oprávnění


ZP2015, v 185
-------------------
 * Oprava: Chybná verze pravidel
 * Oprava: Tisk titulku karty
 

verze 2.1.0
==============
 * Nově: Zavedení cache přístupových bodů (zrychlení přístupu)
 * Nově: Vyhledávání přístupových bodů pomocí Lucene
 * Nově: Automatické zkrácení hodnot prvků popisu při migraci z verze 1.x
 * Nově: API pro vyhledávání v archivním popisu a archivních entitách
 * Nově: 4194 - Kontrola datace u prohlubování popisu ze složky na jednotlivost
 * Nově: 7014 - Možnost sloučení záznamů při řešení duplicit
 * Změna: Aktualizace OpenAPI generátoru na verzi 5.0.1
 * Oprava: 4523 - Sbalování stromové struktury - zobrazení + i na rozbalené větvi
 * Oprava: 5065 - Úprava názvů políček ve výstupu
 * Oprava: 6954 - V modulu Archivní soubory přejmenovat v pravém panelu "Přehled platných AP" na "Výstupy"
 * Oprava: 6485 - Chování filtrů u PP Datace vzniku v tabulkovém zobrazení
 * Oprava: 5769 - Export CSV z tabulkového zobrazení
 * Oprava: 6997 - Nevyhodnocování unikátnosti u anonymních strukturovaných typů
 * Oprava: 7018 - Chyba při migraci dat (datace do)
 * Oprava: 6991 - Možnost odstranění vztahu v události
 * Oprava: 6996 - Chybné zobrazení kalendáře
 * Oprava: 4742 - Chybné zobrazení akordeonu v případě dlouhé specifikace


ZP2015, v 184
-------------------
 * Nově: Export EAD: export poznámky
 * Nově: Výstup "Katalogové karty", zmenšení písma
 * Nově: 4889 - PP místa vzniku předloh popisovaných kopií - doporučený
 * Nově: 6859 - Nová specifikace role entity - matriční místo
 * Oprava: 6708 - Pevné spojení - výstražná hláška o chybějící ukládací jednotce


verze 2.0.7
==============
 * Oprava: 6733 - Chyba při generování výstupu
 * Oprava: Nekonzistence databáze v důsledku přechodu z verze 1.x
 * Oprava: 6741 - Není funkční Undo při vytvoření výstupu


ZP2015, v 183
-------------------
 * Nově: Zápis strukturovaného množství na jeden řádek
 * Oprava: Generování výstupu v případě datace delší než 50znaků

verze 2.0.6
===============
 * Nově: V tiskových výstupech lze přistupovat k nadřazeným JP
 * Nově: Rozšíření XSD schématu, možnost exportu stavů a textové podoby strukt. typů
 * Nově: Refaktorizace způsobu napojení na CAM
 * Nově: Přepracování stránky administrace dle fondů
 * Nově: 5775 - Možnost stránkování archivních souborů v administraci
 * Nově: 6924 - Nastavení více typů externích systémů a úprava nastavení
 * Nově: 6917 - Možnost zobrazení 1000 položek v tabulkovém zobrazení
 * Změna: 6925 - Administrace - vyhledávání dle jména osoby
 * Změna: Úprava záhlaví archivní entity pocházející z externího systému (CAM)
 * Oprava: Export dat ve formátu CAM v případě neúplných vztahů
 * Oprava: 6827 - Archivní entity - nelze vyřešit duplicitu
 * Oprava: 6857 - Nelze ručně zadat referenční označení
 * Oprava: 4621 - V oprávněních je možné uživateli přidat neexistující archivní soubor
 * Oprava: Rozšíření logování při startu (inicializace forwardedHeaderFilter a H2 console)
 
ZP2015, v 182
-------------------
 * Nově: Rozšířen tisk muzejních karet
 * Nově: Odstranění mezer při vytváření nové ukládací jednotky
 * Oprava: Tisk strukturovaného množství 
 * Oprava: 6827 - Umožnění zápisu entit i na úrovni série

verze 2.0.5
===============
 * Nově: Aktualizace integrace na DSpace
 * Oprava: 5569 - Vynucení dvojkliku při zadávání dat
 * Oprava: 6812 - Archivní entity - Odkaz na zdroje informací
 * Oprava: 6768 - Archivní entity - možnost zadat prázdnou hodnotu jazyka
 
CZ_BASE, v 39
---------------
 * Oprava: 6788 - Archivní entity - chyba při zakládání taxonomické kategorie

ZP2015, v 181
-------------------
 * Nově: 6513 - Umožnění zápisu entit i na úrovni série
 * Nově: 6231 - Pořadí uložení u starších pomůcek
 * Oprava: 5758 - Tiskový výstup - netiskne se PP délka zvukového záznamu

verze 2.0.4
===============
 * Nově: 6784 Export DAO v nativním formátu 
 * Oprava: Export do nativního formátu
 * Oprava: Vyhledávání v přístupových bodech


verze 2.0.3
===============

 * Nově: Export informací o napojených DAO v rámci nativního formátu Elza
 * Oprava: Migrace archivních entit z verze 1.4, správná migrace vztahů
 * Oprava: Migrace archivních entit z verze 1.4, správná označení
 * Oprava: Po změně nastavení externích systémů není nutný restart

CZ_BASE, v 38
---------------
 * Archivní entity: Dokončení limitace opakování vzniku/zániku/těla archivní entity

verze 2.0.2
===============

 * Nově: Samostatné okno pro vkládání speciálních znaků
 * Nově: Přidání indexu pro rychlejší vyhledávání odkazovaných jednotek popisu
 * Oprava: Filter pro vyhledávání v archivních entitách
 * Oprava: Spuštění s Java 11+
 * Oprava: Zrychlení mazání úrovní popisu (optimalizace odkazů mezi úrovněmi) 
 * Oprava: Při změně preferovaného označení dojde k aktualizaci označení v navázaných entitách
 * Oprava: Pád pi spuštění perzistentního řazení
 * Oprava: Bug 4483: Zobrazení informace o dokončení výstupu jen pokud je uživatel na jiné stránce

ZP2015, v 181
-------------------
 * Oprava: Strojová datace musí být uvedena vždy, textová datace není dostatečná
 * Oprava: Bug 6230: Digitální archivní jednotka - způsob zápisu
 * Oprava: Bug 4812: Chybějící prvek popisu v tiskovém výstupu - identifikátor organizace

verze 2.0.1
===============
 
 * Odstranění nepotřebných tříd pro tisk
 * Oprava exportu archivních entit připojených k AS

 * CZ_BASE: Přidání prvku popisu pro interní doplněk u archivních entit
 * CZ_BASE: Přidání prvku popisu pro pohlaví u osob

 * ZP2015: Rozšíření povolených rolí o korporace pro nositel, navrhovatel, předávající
 * ZP2015: Přejmenování Počet EJ na Počet archiválií
 * ZP2015: Oprava tisku štítků
 * ZP2015: Readonly prvky popisu jsou vždy možné
